
From: Tejun Heo <htejun@gmail.com>

Replace BLK_TAGS_PER_LONG with BITS_PER_LONG and remove unused BLK_TAGS_MASK.

Signed-off-by: Tejun Heo <htejun@gmail.com>
Acked-by: Jens Axboe <axboe@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/block/ll_rw_blk.c |    4 ++--
 include/linux/blkdev.h    |    3 ---
 2 files changed, 2 insertions(+), 5 deletions(-)

diff -puN drivers/block/ll_rw_blk.c~blk-remove-blk_tags_per_longmask drivers/block/ll_rw_blk.c
--- 25/drivers/block/ll_rw_blk.c~blk-remove-blk_tags_per_longmask	Fri Apr 29 16:06:13 2005
+++ 25-akpm/drivers/block/ll_rw_blk.c	Fri Apr 29 16:06:13 2005
@@ -789,7 +789,7 @@ init_tag_map(request_queue_t *q, struct 
 	if (!tag_index)
 		goto fail;
 
-	nr_ulongs = ALIGN(depth, BLK_TAGS_PER_LONG) / BLK_TAGS_PER_LONG;
+	nr_ulongs = ALIGN(depth, BITS_PER_LONG) / BITS_PER_LONG;
 	tag_map = kmalloc(nr_ulongs * sizeof(unsigned long), GFP_ATOMIC);
 	if (!tag_map)
 		goto fail;
@@ -880,7 +880,7 @@ int blk_queue_resize_tags(request_queue_
 		return -ENOMEM;
 
 	memcpy(bqt->tag_index, tag_index, max_depth * sizeof(struct request *));
-	nr_ulongs = ALIGN(max_depth, BLK_TAGS_PER_LONG) / BLK_TAGS_PER_LONG;
+	nr_ulongs = ALIGN(max_depth, BITS_PER_LONG) / BITS_PER_LONG;
 	memcpy(bqt->tag_map, tag_map, nr_ulongs * sizeof(unsigned long));
 
 	kfree(tag_index);
diff -puN include/linux/blkdev.h~blk-remove-blk_tags_per_longmask include/linux/blkdev.h
--- 25/include/linux/blkdev.h~blk-remove-blk_tags_per_longmask	Fri Apr 29 16:06:13 2005
+++ 25-akpm/include/linux/blkdev.h	Fri Apr 29 16:06:13 2005
@@ -294,9 +294,6 @@ enum blk_queue_state {
 	Queue_up,
 };
 
-#define BLK_TAGS_PER_LONG	(sizeof(unsigned long) * 8)
-#define BLK_TAGS_MASK		(BLK_TAGS_PER_LONG - 1)
-
 struct blk_queue_tag {
 	struct request **tag_index;	/* map of busy tags */
 	unsigned long *tag_map;		/* bit map of free/busy tags */
_
